# TestDisk kompilieren

### From CGSecurity

(Redirected from TestDisk Kompilation)

english version deutsche Version versión español version française Русская версия

Dieses Dokument erklärt, wie TestDisk und PhotoRec zu kompilieren sind.

## Libraries (Bibliotheken)

- libncurses - Erforderlich, TestDisk und PhotoRec verwenden die ncurses-Schnittstelle, so dass ncurses-Bibliotheks- und Entwicklungsdateien vorhanden sein müssen.
- Ext2fs library - Optional, von TestDisk verwendet, um Dateien von ext2/ext3-Partitionen aufzulisten
- EWF library - Optional, von TestDisk und PhotoRec benutzt, um auf Expert Witness Compression Format-Dateien (d.h. Encase-Dateien) zuzugreifen
- Reiserfs library - Optional, von TestDisk verwendet, um Dateien von reiserfs-Partitionen aufzulisten
- NTFS library - Optional, verwendet von TestDisk, um Dateien von NTFS-Partitionen aufzulisten
- Jpeg library - Optional, verwendet von PhotoRec für eine verbesserter JPEG-Wiederherstellungsrate

### Ext2fs-Bibliothek

Ext2fs-Bibliothek ist normalerweise mit dem Betriebssystem installiert, so dass sie nicht selbst kompiliert werden muss. Ansonsten besorge die neueste Version von e2fsprogs über e2fsprogs.sf.net

    tar xzf e2fsprogs-1.38.tgz
    cd e2fsprogs-1.38
    ./configure --with-cc=gcc
    make libs
    make install

### EWF-Bibliothek

EWF-Quellcode kann heruntergeladen werden von www.uitwisselplatform.nl/projects/libewf/. Beachte bitte, das openssl und zlib für eine erfolgreiche Kompilierung und Ausführung erforderlich sind.

    tar xzf libewf-beta-20070408.tar.gz
    cd libewf-20070408
    ./configure
    make libs
    make install

### Jpeg-Bibliothek

Die Libjpeg-Bibliothek wird normalerweise mit dem Betriebssystem installiert, so dass sie nicht selbst kompiliert werden muß. Ansonsten lade die neueste libjpeg-Version von ftp.uu.net/graphics/jpeg/jpegsrc.v6b.tar.gzherunter.

    tar xzf jpegsrc.v6b.tar.gz
    cd jpeg-6b
    ./configure --enable-shared --enable-static
    make
    sudo make install

Mac OS X 10,3 liefert das GNU libtool, wenn auch unter einem leicht anderen Namen als "glibtool", mit. Führe bitte folgendes aus

    ln -s `which glibtool` ./libtool

### Wie werden ntfsprogs kompiliert

Erhalte die neueste Version von ntfsprogs von linux-ntfs.sf.net

    tar xzf ntfsprogs-1.13.0.tar.gz
    cd ntfsprogs-1.13.0
    ./configure
    make libs
    make install

Um eine funktionierende Version unter NT 4 zu erhalten, verwende `configure --disable-default-device-io-ops` da SetFilePointerEx, benutzt von win32_io.c, nicht von der NT 4 DLL exportiert wird.

### ReiserFS-Bibliothek

Erhalte progsreiserfs-0.3.1-rc8.tar.gz bei reiserfs.osdn.org.ua

    tar xzf progsreiserfs-*.tar.gz
    cd progreiserfs-0.3.1-rc8
    ./configure --disable-nls
    make
    make install

## Wie TestDisk zu kompilieren ist

### Standard-Methode

Um TestDisk und PhotoRec zu kompilieren, führe folgendes aus

    ./configure
    make

Es kann sein, daß einige Parameter zum Konfigurieren angegeben (spezifiziert) werden müssen, siehe configure --help.
Beispiel:

    ./configure
    --with-reiserfs-lib=/home/kmaster/perso/testdisk-5.2/progsreiserfs-0.3.1-rc8/libreiserfs/.libs/
    --with-reiserfs-includes=/home/kmaster/perso/testdisk-5.2/progsreiserfs-0.3.1-rc8/include/
    --with-ntfs-lib=/home/kmaster/perso/testdisk-5.2/ntfsprogs-1.8.5/libntfs/.libs/
    --with-ntfs-includes=/home/kmaster/perso/testdisk-5.2/ntfsprogs-1.8.5/include/
    --with-ext2fs-lib=/home/kmaster/perso/testdisk-5.2/e2fsprogs-1.34/lib
    --with-ext2fs-includes=/home/kmaster/perso/testdisk-5.2/e2fsprogs-1.34/lib

### Statische Version

Wenn die Binärdatei auf Systemen ausgeführt werden muß, bei denen eine der vorherigen Bibliotheken fehlt, erstelle eine statische Binärdatei mit

    make static

### Statisch komprimierte Binärdatei

Wenn du eine kleine Binärdatei für eine Binär-Distribution benötigst, hole den UPX-Packer von upx.sf.net und führe aus

    strip src/testdisk src/photorec
    upx src/testdisk src/photorec

## Betriebssystem Anmerkungen

Bitte lese die Anmerkungen über dein Betriebssystem:

- DOS
- GNU/Linux
- Win
- Mac OS X

## Kreuz-Kompilation

- Linux zu PowerPC Darwin/Mac OS X - Kreuz-Compiler

Zurück zu TestDisk

Category: Data Recovery

##### Data Recovery

- TestDisk
- PhotoRec
- download